[arch-commits] Commit in haskell-aws/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sat Dec 2 13:35:31 UTC 2017


    Date: Saturday, December 2, 2017 @ 13:35:30
  Author: felixonmars
Revision: 271879

upgpkg: haskell-aws 0.18-1

rebuild with aws,0.18

Modified:
  haskell-aws/trunk/PKGBUILD

----------+
 PKGBUILD |   38 +++++++++++++++++++++-----------------
 1 file changed, 21 insertions(+), 17 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2017-12-02 13:25:04 UTC (rev 271878)
+++ PKGBUILD	2017-12-02 13:35:30 UTC (rev 271879)
@@ -4,33 +4,32 @@
 
 _hkgname=aws
 pkgname=haskell-aws
-pkgver=0.17.1
-pkgrel=10
+pkgver=0.18
+pkgrel=1
 pkgdesc="Amazon Web Services (AWS) for Haskell"
 url="https://github.com/aristidb/aws"
 license=("custom:BSD3")
 arch=('x86_64')
-depends=('ghc-libs' "haskell-aeson" "haskell-attoparsec" "haskell-base16-bytestring"
-         "haskell-base64-bytestring" "haskell-blaze-builder" "haskell-byteable"
-         "haskell-case-insensitive" "haskell-cereal" "haskell-conduit" "haskell-conduit-extra"
-         "haskell-cryptohash" "haskell-data-default" "haskell-http-conduit" "haskell-http-types"
-         "haskell-lifted-base" "haskell-monad-control" "haskell-mtl" "haskell-network"
-         "haskell-old-locale" "haskell-resourcet" "haskell-safe" "haskell-scientific"
-         "haskell-tagged" "haskell-text" "haskell-unordered-containers" "haskell-utf8-string"
-         "haskell-vector" "haskell-xml-conduit")
-makedepends=('ghc')
+depends=('ghc-libs' 'haskell-aeson' 'haskell-attoparsec' 'haskell-base16-bytestring'
+         'haskell-base64-bytestring' 'haskell-blaze-builder' 'haskell-byteable'
+         'haskell-case-insensitive' 'haskell-cereal' 'haskell-conduit' 'haskell-conduit-extra'
+         'haskell-cryptonite' 'haskell-data-default' 'haskell-http-conduit' 'haskell-http-types'
+         'haskell-lifted-base' 'haskell-memory' 'haskell-monad-control' 'haskell-mtl'
+         'haskell-network' 'haskell-old-locale' 'haskell-resourcet' 'haskell-safe'
+         'haskell-scientific' 'haskell-tagged' 'haskell-text' 'haskell-unordered-containers'
+         'haskell-utf8-string' 'haskell-vector' 'haskell-xml-conduit')
+makedepends=('ghc' 'haskell-quickcheck' 'haskell-conduit-combinators' 'haskell-errors'
+             'haskell-http-client' 'haskell-http-client-tls' 'haskell-quickcheck-instances'
+             'haskell-tasty' 'haskell-tasty-hunit' 'haskell-tasty-quickcheck'
+             'haskell-transformers-base')
 source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
-sha512sums=('236e2d29c439f3a0928de6ad5a12628cb1c2bc9258e81373aa58880d5b46fca40395f7456e379768ed6ccd234e6119fab9bf89771326fdb1b9b6dd2060320474')
+sha512sums=('11cf6675e4caf818e39efe697704acff7c5e0a74641482b791de17b18f6e0224be1bd24fb734a419685ca4b2cbf5913bea0012f4f79e4b988ee4cbc9252d0f52')
 
-prepare() {
-    sed -i 's/conduit-extra        >= 1.1     && < 1.2,/conduit-extra >= 1.1,/' ${_hkgname}-${pkgver}/${_hkgname}.cabal
-}
-
 build() {
     cd "${srcdir}/${_hkgname}-${pkgver}"
 
     runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
-        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" \
+        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" --enable-tests \
         --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
             -f-examples
     runhaskell Setup build
@@ -40,6 +39,11 @@
     sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
 }
 
+check() {
+    cd $_hkgname-$pkgver
+    runhaskell Setup test || warning "Requires AWS credentials to test"
+}
+
 package() {
     cd "${srcdir}/${_hkgname}-${pkgver}"
 



More information about the arch-commits mailing list